> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/your-account/managing-logins.md).

# Managing logins

In order to create a Redivis account, you must authenticate through your academic institution, any Google account, or via passwordless login. Over 2,500 academic institutions from around the world are currently supported with more being added regularly.

Redivis will request some basic information when you authenticate, such as your name, email, and any relevant affiliations. It will not have access to any other information through your Google or institutional account.

## Adding emails / authentications to your account

It is strongly encouraged that each individual has only one Redivis account and that your identity on Redivis maps to your real-world identity. However, it is common to have multiple emails that you want associated with your Redivis account, including personal emails, university emails, or visiting-scholar university emails.

In order to add an email to your account, navigate to the [settings page](/reference/your-account/workspace.md) of your workspace, and **Add authentication** in the **Authentications** tab. A new browser window will open requesting the relevant credentials, after which this new email will be associated with your account.

{% hint style="warning" %}
If you lose access to all emails associated with your account, you will no longer be able to log in to Redivis.

For this reason, it is strongly encouraged that you add a personal email to your account. This way, if you ever lose access to your institutional email, you will still be able to log in to your Redivis account. Keep in mind you may not have access to certain datasets that required your previous institutional affiliation.
{% endhint %}

## Logins and organization membership

When you join an organization, your membership in that organization will be associated with a particular login. In order to work with that organization's restricted data, you must have recently authenticated with the login associated with your membership. If you sign in to Redivis using a different login (for example, if you signed in with your personal email, while your membership is associated with your academic institution's credentials), you'll be prompted to re-authenticate with the relevant login before you can work with restricted data.

If you lose access to the login originally associated with your membership, such as by changing institutions, you can request that your membership is updated to associate it with a new login. An administrator of the organization will then need to approve this request before access is restored.

## Merging accounts

If you have more than one Redivis account, merging them is strongly encouraged. To merge multiple accounts, follow these steps:

1. Identify which account should be your "primary" Redivis account once the process is complete.
2. Log in to your non-primary account.
3. Transfer ownership of all datasets, workflows, and projects to your primary account. Alternatively, you can delete any datasets, workflows, and projects that are no longer relevant.
4. Delete the non-primary account by selecting **Delete account** within your [workspace settings](/reference/your-account/workspace.md).
5. Log in to your primary account, and add the authentications that were previously associated with your non-primary account to your primary account.

{% hint style="danger" %}
WARNING: Deleting your account cannot be undone.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/reference/your-account/managing-logins.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
